Get Open Finance Enrollment by ID
GET/open-finance/enrollments/:id
Get an open finance enrollment by id.
Request
Path Parameters
Enrollment UUID.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
Responses
- 200
- 400
- 401
- 422
Enrollment retrieved successfully.
- application/json
- Schema
- Example (from schema)
Schema
Enrollment UUID.
Possible values: [PENDING, ERROR, FAILED, AWAITING_DEVICE_RISK_SIGNALS, AWAITING_ACCOUNT_OWNER_VALIDATION, AWAITING_ENROLLMENT, AWAITING_DEVICE_REGISTRATION, PENDING_REVOKE, AUTHORIZED, REVOKED, REJECTED]
Enrollment status.
Enrollment name.
Client logged user document.
Client logged user document type.
Client logged business entity document.
Client logged business entity document type.
Possible values: [PAYMENTS_INITIATE, RECURRING_PAYMENTS_INITIATE]
Enrollment permissions.
Client logged user bank ISPB.
Client logged user branch number.
Client logged user account number.
Possible values: [CACC, CASH, CHAR, CISH, COMM, CPAC, LLSV, LOAN, MGLD, MOMA, NREX, ODFT, ONDP, OTHR, SACC, SLRY, SVGS, TAXE, TRAN, TRAS, CC, PG, CD, CG, CI, PP, PI]
Client logged user account type.
Enrollment transaction limit.
Enrollment daily limit.
Enrollment expiration date.
Open Finance participant id.
Open Finance participant friendly name.
Open Finance participant friendly logo URI.
Enrollment is linked to an optimized journey.
Enrollment link id to an optimized journey. Required if is_linked is true.
Enrollment canceled by document.
Enrollment canceled by document type.
Enrollment canceled reason.
Enrollment canceled description.
Enrollment canceled from.
Enrollment canceled at.
Enrollment redirect link.
Enrollment created at.
Enrollment updated at.
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"status": "PENDING",
"name": "Payments account",
"logged_user_document": "1234567890",
"logged_user_document_type": "CPF",
"logged_business_entity_document": "12345678910234",
"logged_business_entity_document_type": "CNPJ",
"permissions": [
"PAYMENTS_INITIATE"
],
"logged_user_bank_ispb": "1234567890",
"logged_user_branch_number": "0001",
"logged_user_account_number": "1234567890",
"logged_user_account_type": "CACC",
"transaction_limit": 1000,
"daily_limit": 1000,
"expiration_date": "2026-04-27T21:25:47.780Z",
"participant_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"participant_friendly_name": "Open Finance Participant",
"participant_friendly_logo_uri": "https://example.com/logo.png",
"is_linked": true,
"link_id": "urn:bancoex:C1DD331237",
"canceled_by_document": "1234567890",
"canceled_by_document_type": "CPF",
"cancel_reason": "REJECTED_MANUALLY",
"cancel_description": "string",
"canceled_from": "INITIATOR",
"canceled_at": "2026-04-27T21:25:47.780Z",
"redirect_uri": "https://client.bank.com/redirect?client_id=abc123&request_uri=urn:123",
"created_at": "2026-04-27T21:25:47.780Z",
"updated_at": "2026-04-27T21:25:47.780Z"
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.